> ## Documentation Index
> Fetch the complete documentation index at: https://doc.haipay.net/llms.txt
> Use this file to discover all available pages before exploring further.

# 代付申请

> 创建代付订单

<div class="flex flex-col gap-4">
  <div class="api-section-heading flex flex-col gap-y-4 w-full">
    <div class="flex items-baseline border-b pb-2.5 border-gray-100 dark:border-gray-800 w-full">
      <h4 class="api-section-heading-title flex-1 mb-0">密钥私钥(生成签名)</h4>
    </div>

    <div />
  </div>

  <input id="secret-key" placeholder="密钥" class="px-3 py-2 border rounded-md" />

  <input id="private-key" placeholder="私钥" class="px-3 py-2 border rounded-md" />
</div>

## 相关主题

* [巴西支付接口](/docs/zh/api/version2/Brazil)
* [HaiPay API 文档简介](/docs/zh/api-reference/overview)
* [HaiPay 配置与签名指南](/docs/zh/guide/config_settings_and_signature_rules_guide)


## OpenAPI

````yaml docs/zh/api-reference/brl/brl.openapi.json POST /brl/pay/apply
openapi: 3.0.1
info:
  title: 默认模块
  description: ''
  version: 1.0.0
servers:
  - url: https://uat-interface.haipay.asia
    description: 测试-interface
security: []
tags: []
paths:
  /brl/pay/apply:
    post:
      tags: []
      summary: 巴西雷亚尔代付申请
      description: 创建代付订单
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                appId:
                  type: integer
                  description: 业务ID（后台获取，需要根据URL中的币种传递对应的业务ID）
                orderId:
                  type: string
                  description: 商户订单号(必须保证唯一性，长度不超过48)
                  maxLength: 48
                amount:
                  type: string
                  description: 交易金额(单位：巴西雷纳尔，精确到小数点后两位；禁止添加标点符号，例如：","） 范围:1-99999
                  pattern: ^(?:[1-9]\d{0,4}|99999)(?:\.\d{2})?$
                accountType:
                  type: string
                  description: 支付方式类型
                bankCode:
                  type: string
                  description: 支付方式编码
                identifyType:
                  type: string
                  description: 账号类型(CPF/PHONE/EMAIL)
                accountNo:
                  type: string
                  description: 用户收款账号
                name:
                  type: string
                  description: >-
                    收款人姓名(收款人姓名 格式：英文大小写且允许有空格，1-30位,"firstName middleName
                    lastName" (middleName 非必填, 特殊字符支持 '.-))
                  minLength: 1
                  maxLength: 30
                  pattern: ^[A-Za-z\s'\.\-]+$
                phone:
                  type: string
                  description: 真实手机号（格式参考 电话号码格式 ）
                email:
                  type: string
                  description: 真实电子邮件
                  format: email
                notifyUrl:
                  type: string
                  description: 回调地址
                  format: uri
                subject:
                  type: string
                  description: 支付备注（交易标题，商品名称，支付原因）
                body:
                  type: string
                  description: 备注详情
                partnerUserId:
                  type: string
                  description: >-
                    用户唯一标识（如用户ID userId），用于风控系统，必须真实有效，否则会影响交易。
                    格式要求：数字、大小写字母或常用符号-~!@#$%&*()_。
                  pattern: ^[A-Za-z0-9\-~!@#$%&*()_]+$
                sign:
                  type: string
                  description: 签名
              required:
                - appId
                - orderId
                - amount
                - accountType
                - bankCode
                - identifyType
                - accountNo
                - name
                - phone
                - email
                - partnerUserId
                - sign
              additionalProperties: false
            example:
              appId: 1054
              orderId: M100000450012
              amount: '500'
              accountType: EWALLET
              bankCode: PIX
              identifyType: CPF
              accountNo: '09876543210'
              name: john doe
              phone: '09876543210'
              email: johndoe@cashfree.com
              subject: iphone13
              body: ProMotion technology with adaptive refresh rates up to 120Hz
              partnerUserId: '149597870'
              sign: >-
                I1PeK3eJOVsFFNowxVRqMXpeWm1lr/BcRpBi8WsW4wVo1+5CC3JsrFq/m/L2O69NzKHvtDWi4zia3DL3dPut0yMyUyqL91LNCSaeISbGsQPlhEsQpyTOryS/RKOfsrn2Xo37SCF/phAvndOk2jwwGwqM5xLz1ms9Ukl85wv27QFNrXIMxK2p18oe7MpMYrgf+xvEBE/VqCtKMtN9pO449wWwXzHWNPbZ76s4pAvKwRE9yXQDr7Iw14Dktcnl1FoLM4gWM/obkO+mz6SyAGDuXhVh/+OD/IGNiCyTCNq6ciQY28UnCFV6ZIP40gxsFhfBJKbK+Raw7y1Bh912ifYfug==
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                  error:
                    type: string
                  msg:
                    type: string
                  data:
                    type: object
                    properties:
                      orderId:
                        type: string
                        description: 商户订单号(必须保证唯一性)
                      orderNo:
                        type: string
                        description: 平台订单号
                      sign:
                        type: string
                        description: 签名
      deprecated: false
      security: []

````